Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## millgamej2se11
Class Point

    java.lang.Object
      millgamej2se11.Point

    public class Point

extends java.lang.Object

A Malom tábla pontjait reprezentáló osztály.

Field Summary
`private int` | `column` A pont oszlopban elfoglalt helye.
`private int` | `marker` A ponton álló bábu
`private int` | `row` A pont sorban elfoglalt helye.

Constructor Summary
`Point(int row, int column)` Egy Pont objektumot létrehozó pontsruktor

Method Summary
`boolean` | `equals(java.lang.Object obj)` Egyenlőségre vizsgálja a pontot és a megadott pontot.
`int` | `getColumn()` Visszaadja a pont oszlopszámát
`int` | `getMarker()` Visszaadja a ponton álló bábu azonosítóját
`Point` | `getNext(int direction)` Visszaadja a pont következő szomszédját a megadott irányban
`int` | `getRow()` Visszaadja a pont sorszámát
`void` | `setMarker(int marker)` A megadott bábut elhelyezi a ponton.
`java.lang.String` | `toString()` Visszaadja a pont String reprezentációját.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### row

    private int row

  A pont sorban elfoglalt helye.

### column

    private int column

  A pont oszlopban elfoglalt helye.

### marker

    private int marker

  A ponton álló bábu

Constructor Detail

### Point

    public Point(int row,
                 int column)

  Egy Pont objektumot létrehozó pontsruktor

  Parameters:
    `row` - A pont sorszáma
    `column` - A pont oszlopszáma

Method Detail

### setMarker

    public void setMarker(int marker)

  A megadott bábut elhelyezi a ponton.

  Parameters:
    `marker` - A bábu azonosítója

### getRow

    public int getRow()

  Visszaadja a pont sorszámát

  Returns:
    A pont sorszáma

### getColumn

    public int getColumn()

  Visszaadja a pont oszlopszámát

  Returns:
    A pont oszlopszáma

### getMarker

    public int getMarker()

  Visszaadja a ponton álló bábu azonosítóját

  Returns:
    A bábu azonosítója

### getNext

    public Point getNext(int direction)

  Visszaadja a pont következő szomszédját a megadott irányban

  Parameters:
    `direction` - Az irány
  Returns:
    A következő pont

### equals

    public boolean equals(java.lang.Object obj)

  Egyenlőségre vizsgálja a pontot és a megadott pontot.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - A vizsgálandó pont
  Returns:
    true, ha a két pont egyenlő, false egyébként.

### toString

    public java.lang.String toString()

  Visszaadja a pont String reprezentációját.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String reprezentáció.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD